<?php
function swiss_custom_register($wp_customize){
    //  =============================
    //  = Color Link              =
    //  =============================
    $wp_customize->add_setting('swiss_options[link_color]', array(
        'default'           => '#dd3333',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'link_color', array(
        'label'    => __('Link Color', 'swiss'),
        'section' => 'colors',
        'settings' => 'swiss_options[link_color]'
    )));
    //  =============================
    //  = Header background             =
    //  =============================
    $wp_customize->add_setting('swiss_options[header_color]', array(
        'default'           => '#222222',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'header_color', array(
        'label'    => __('Header background', 'swiss'),
        'section' => 'colors',
        'settings' => 'swiss_options[header_color]',
        'priority'   => 221
    )));
    //  =============================
    //  = Format gallery              =
    //  =============================
    $wp_customize->add_setting('swiss_options[format_gallery]', array(
        'default'           => '#333333',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'format_gallery', array(
        'label'    => __('Format - gallery', 'swiss'),
        'section' => 'colors',
        'settings' => 'swiss_options[format_gallery]',
        'priority'   => 222
    )));
	    //  =============================
    //  = Format image              =
    //  =============================
    $wp_customize->add_setting('swiss_options[format_image]', array(
        'default'           => '#165A60',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'format_image', array(
        'label'    => __('Format - image', 'swiss'),
        'section' => 'colors',
        'settings' => 'swiss_options[format_image]',
        'priority'   => 223
    )));
	    //  =============================
    //  = Format audio              =
    //  =============================
    $wp_customize->add_setting('swiss_options[format_audio]', array(
        'default'           => '#5ABBCF',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'format_audio', array(
        'label'    => __('Format - audio', 'swiss'),
        'section' => 'colors',
        'settings' => 'swiss_options[format_audio]',
        'priority'   => 224
    )));
	    //  =============================
    //  = Format video              =
    //  =============================
    $wp_customize->add_setting('swiss_options[format_video]', array(
        'default'           => '#1E7687',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'format_video', array(
        'label'    => __('Format - video', 'swiss'),
        'section' => 'colors',
        'settings' => 'swiss_options[format_video]',
        'priority'   => 225
    )));
	    //  =============================
    //  = Format quote              =
    //  =============================
    $wp_customize->add_setting('swiss_options[format_quote]', array(
        'default'           => '#CC9966',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'format_quote', array(
        'label'    => __('Format - quote', 'swiss'),
        'section' => 'colors',
        'settings' => 'swiss_options[format_quote]',
        'priority'   => 226
    )));
	    //  =============================
    //  = Format aside              =
    //  =============================
    $wp_customize->add_setting('swiss_options[format_aside]', array(
        'default'           => '#C8896F',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'format_aside', array(
        'label'    => __('Format - aside', 'swiss'),
        'section' => 'colors',
        'settings' => 'swiss_options[format_aside]',
        'priority'   => 227
    )));
	    //  =============================
    //  = Format chat              =
    //  =============================
    $wp_customize->add_setting('swiss_options[format_chat]', array(
        'default'           => '#8B636C',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'format_chat', array(
        'label'    => __('Format - chat', 'swiss'),
        'section' => 'colors',
        'settings' => 'swiss_options[format_chat]',
        'priority'   => 228
    )));
	    //  =============================
    //  = Format link              =
    //  =============================
    $wp_customize->add_setting('swiss_options[format_link]', array(
        'default'           => '#EF402F',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'format_link', array(
        'label'    => __('Format - link', 'swiss'),
        'section' => 'colors',
        'settings' => 'swiss_options[format_link]',
        'priority'   => 229
    )));
	    //  =============================
    //  = Format status              =
    //  =============================
    $wp_customize->add_setting('swiss_options[format_status]', array(
        'default'           => '#694C40',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'format_status', array(
        'label'    => __('Format - status', 'swiss'),
        'section' => 'colors',
        'settings' => 'swiss_options[format_status]',
        'priority'   => 230
    )));
    //  =============================
    //  = Logo            =
    //  =============================
    $wp_customize->add_setting('swiss_options[link_logo]', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
        'sanitize_callback' => 'esc_url_raw'
    ));
    
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'link_logo', array(
        'label' => __('Logo', 'swiss'),
        'section' => 'header_image',
        'settings' => 'swiss_options[link_logo]'
    )));
   

}
add_action('customize_register', 'swiss_custom_register');
/**************************************************************************************************/
function swiss_fonts_register($wp_customize){ 
    $wp_customize->add_section('swiss_scheme', array(
        'title'    => __('Fonts', 'swiss'),
        'priority' => 125,
    ));

    //  =============================
    //  = text font               =
    //  =============================
     $wp_customize->add_setting('swiss_options[text_font]', array(
        'default'        => 'Helvetica, Arial',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
        'sanitize_callback' => 'swiss_sanitize_text'
    ));
    $wp_customize->add_control( 'txt_font', array(
        'settings' => 'swiss_options[text_font]',
        'label'   =>  __('Select Text Font:', 'swiss'),
        'section' => 'swiss_scheme',
        'type'    => 'radio',
        'choices' => array(
        "Helvetica, Arial" => "Helvetica, Arial",
        "Cambria, Georgia" => "Cambria, Georgia",           
        "Verdana" => "Verdana",
        "Open Sans" => "Open Sans" 
        )   
    ));
    //  =============================
    //  = header font                =
    //  =============================
     $wp_customize->add_setting('swiss_options[header_font]', array(
        'default'        => 'Helvetica, Arial',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
        'sanitize_callback' => 'swiss_sanitize_header'
    ));
    $wp_customize->add_control( 'header_font', array(
        'settings' => 'swiss_options[header_font]',
        'label'   =>  __('Select Header Font:', 'swiss'),
        'section' => 'swiss_scheme',
        'type'    => 'radio',
        'choices'    =>  array(
    'Helvetica, Arial' => 'Helvetica, Arial',    
    'Cambria, Georgia' => 'Cambria, Georgia',    
    'Open Sans' => 'Open Sans (Latin Extended, Cyrillic, Greek)',
    'Oswald' => 'Oswald (Latin Extended)',
    'Ubuntu' => 'Ubuntu (Latin Extended, Cyrillic, Greek)',   
    'Source Sans Pro' => 'Source Sans Pro (Latin Extended)',
    'Signika' => 'Signika (Latin Extended)',
    'Abril Fatface' => 'Abril Fatface (Latin Extended)',
    'Roboto' => 'Roboto (Latin Extended, Cyrillic, Greek)',
    'Roboto Condensed' => 'Roboto Condensed (Latin Extended, Cyrillic, Greek)',
    'Lato' => 'Lato'   
    )
    ));
    //  =============================
    //  = Select a language                =
    //  =============================
     $wp_customize->add_setting('swiss_options[header_ext]', array(
        'default'        => 'Latin',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
        'sanitize_callback' => 'swiss_sanitize_latin'
    ));
    $wp_customize->add_control( 'header_ext', array(
        'settings' => 'swiss_options[header_ext]',
        'label'   =>  __('Add language:', 'swiss'),
        'section' => 'swiss_scheme',
        'type'    => 'radio',
        'choices'    =>  array(
    'Latin' => 'Latin',
    'Latin Extended' => 'Latin Extended',    
    'Cyrillic' => 'Cyrillic',
    'Greek' => 'Greek'
    )
    ));
}
add_action('customize_register', 'swiss_fonts_register');
/**************************************************************************************************/
function swiss_sanitize_text( $ratio ) {
	if ( ! in_array( $ratio, array( 'Helvetica, Arial', 'Cambria, Georgia',  'Verdana', 'Open Sans' ) )) {
		$ratio = 'Helvetica, Arial';
	}
	return $ratio;
}
/**************************************************************************************************/
function swiss_sanitize_header( $ratio ) {
	if ( ! in_array( $ratio, array( 'Helvetica, Arial', 'Cambria, Georgia', 'Consolas, Curier', 'Verdana', 'Open Sans', 'Oswald', 'Ubuntu', 'Source Sans Pro', 'Signika', 'Abril Fatface', 'Roboto', 'Roboto Condensed', 'Roboto Slab', 'Lato' ) ) ) {
		$ratio = 'Helvetica, Arial';
	}
	return $ratio;
}
/**************************************************************************************************/
function swiss_sanitize_latin( $ratio ) {
	if ( ! in_array( $ratio, array( 'Latin', 'Latin Extended', 'Cyrillic', 'Greek' ) ) ) {
		$ratio = 'Latin';
	}
	return $ratio;
}
/**************************************************************************************************/

/**********
* @note: credit goes to TwentyTwelve theme.***********/
function swiss_g_fonts() {
$options = get_option('swiss_options');
$header_font = $options['header_font' ];
$header_ext = $options['header_ext' ];

if ( $header_ext !== _x( 'on', 'Font: on or off', 'swiss' ) ) {
        
        if ( 'Latin' == $header_ext )
        $subsets = 'latin';
        elseif ( 'Latin Extended' == $header_ext )
            $subsets = 'latin,latin-ext';
        elseif ( 'Cyrillic' == $header_ext )
            $subsets = 'latin,cyrillic,cyrillic-ext';
        elseif ( 'Greek' == $header_ext )
            $subsets = 'latin,greek,greek-ext';

        $protocol = is_ssl() ? 'https' : 'http';

switch ($header_font) {
case 'Open Sans':
wp_enqueue_style( 'typo-fonts', add_query_arg( array('family' => 'Open+Sans:400,400italic,300,700,800', 'subset' => $subsets), "$protocol://fonts.googleapis.com/css" ), array(), null );
break;
case 'Oswald':
wp_enqueue_style( 'typo-fonts', add_query_arg( array('family' => 'Oswald:400,700', 'subset' => $subsets), "$protocol://fonts.googleapis.com/css" ), array(), null );
break;
case 'Ubuntu':
wp_enqueue_style( 'typo-fonts', add_query_arg( array('family' => 'Ubuntu:400,300', 'subset' => $subsets), "$protocol://fonts.googleapis.com/css" ), array(), null );
break;
case 'Lato':
wp_enqueue_style( 'typo-fonts', add_query_arg( array('family' => 'Lato:300,400', 'subset' => $subsets), "$protocol://fonts.googleapis.com/css" ), array(), null );
break;
case 'Source Sans Pro':
wp_enqueue_style( 'typo-fonts', add_query_arg( array('family' => 'Source+Sans+Pro:400,300,900', 'subset' => $subsets), "$protocol://fonts.googleapis.com/css" ), array(), null );
break;
case 'Signika':
wp_enqueue_style( 'typo-fonts', add_query_arg( array('family' => 'Signika', 'subset' => $subsets), "$protocol://fonts.googleapis.com/css" ), array(), null );
break;
case 'Abril Fatface':
wp_enqueue_style( 'typo-fonts', add_query_arg( array('family' => 'Abril+Fatface', 'subset' => $subsets), "$protocol://fonts.googleapis.com/css" ), array(), null );
break;
case 'Roboto Condensed':
wp_enqueue_style( 'typo-fonts', add_query_arg( array('family' => 'Roboto+Condensed:400,300', 'subset' => $subsets), "$protocol://fonts.googleapis.com/css" ), array(), null );
break; 
case 'Roboto':
wp_enqueue_style( 'typo-fonts', add_query_arg( array('family' => 'Roboto:400,300', 'subset' => $subsets), "$protocol://fonts.googleapis.com/css" ), array(), null );
break; 
    }
}
}
add_action( 'wp_enqueue_scripts', 'swiss_g_fonts' );
/**************************************************************************************************/
/**************************************************************************************************/
function swiss_wp_head() {   
    $options = get_option('swiss_options');
    $color_link = $options['link_color'];
	$format_gallery = $options['format_gallery'];
	$format_image = $options['format_image'];
	$format_audio = $options['format_audio'];
	$format_video = $options['format_video'];
	$format_chat = $options['format_chat'];
	$format_aside = $options['format_aside'];
	$format_link = $options['format_link'];
	$format_status = $options['format_status'];
	$format_quote = $options['format_quote'];   
	$header_color = $options['header_color'];
     
    echo '<style>';
	if ( is_admin_bar_showing() ) {
    echo '.banner-clone {top: 30px;}';
}
    if (!empty($color_link)) echo ' a, .category-post-formats .meta-nav a {color:'.$color_link.';}.attachment_gallery #active{
	border: 2px solid '.$color_link.'; }';
	if (!empty($header_color)) echo ' #header, #portfolio_home {background-color:'.$header_color.';}';
	
	if (!empty($format_gallery)) echo ' .archive .format-gallery, .single-format-gallery #header {background: '.$format_gallery.' }';
	if (!empty($format_image)) echo ' .archive .format-image, .single-format-image #header {background: '.$format_image.' }';
	if (!empty($format_audio)) echo ' .archive .format-audio, .single-format-audio #header {background: '.$format_audio.' }';
	if (!empty($format_video)) echo ' .archive .format-video, .single-format-video #header {background: '.$format_video.' }';
	if (!empty($format_chat)) echo ' .archive .format-chat, .single-format-chat #header {background: '.$format_chat.' }';
	if (!empty($format_quote)) echo ' .archive .format-quote, .single-format-quote #header {background: '.$format_quote.' }';
	if (!empty($format_link)) echo ' .archive .format-link, .single-format-link #header {background: '.$format_link.' }';
	if (!empty($format_status)) echo ' .archive .format-status, .single-format-status #header {background: '.$format_status.' }';
	if (!empty($format_aside)) echo ' .archive .format-aside, .single-format-aside #header {background: '.$format_aside.' }';
    echo '</style>';
       
 }
add_action('wp_head', 'swiss_wp_head',999);
 /**************************************************************************************************/
    function swiss_body_classes($classes) {
        $options = get_option('swiss_options');
        $txt_font = $options['text_font'];
        $header_font = $options['header_font'];
        $link_logo = $options['link_logo'];
                
    if ($link_logo ) :
        $classes[] = 'logo';
    endif;
    
    if (is_home() || is_front_page() || is_page_template()) :
        $classes[] = 'archive';
    endif;
    
        if (is_attachment() ) :
        $classes[] = 'single-format-gallery';
    endif;
    
        switch ($txt_font) {
            case 'Verdana' :
                $classes[] = 'verdana-txt';
                break;
            case 'Helvetica, Arial' :
                $classes[] = 'helvetica-txt';
                break;
            case 'Cambria, Georgia' :
                $classes[] = 'cambria-txt';
                break;
            case 'Open Sans' :
                $classes[] = 'open-txt';
                break;              
        }
   

        switch ($header_font) {
            case 'Helvetica, Arial' :
                $classes[] = 'helvetica-header';
                break;
            case 'Cambria, Georgia' :
                $classes[] = 'cambria-header';
                break;
            case 'Open Sans' :
                $classes[] = 'open-header';
                break;
            case 'Oswald' :
                $classes[] = 'oswald-header';
                break;
            case 'Ubuntu' :
                $classes[] = 'ubuntu-header';
                break;
            case 'Lato' :
                $classes[] = 'lato-header';
                break;
            case 'Source Sans Pro' :
                $classes[] = 'source-header';
                break;
            case 'Signika' :
                $classes[] = 'signika-header';
                break;
            case 'Abril Fatface' :
                $classes[] = 'abril-fatface-header';
                break; 
            case 'Roboto Condensed' :
                $classes[] = 'roboto-condensed-header';
                break;
            case 'Roboto' :
                $classes[] = 'roboto-header';
                break;                   
        }
        return $classes;
    }

    add_filter('body_class', 'swiss_body_classes'); 
    
/*********************/    
?>